Bug 246849 - Review the udev rules
Summary: Review the udev rules
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-05 12:02 UTC by Harald Hoyer
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 1.0.18-8.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 17:01:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harald Hoyer 2007-07-05 12:02:15 UTC
udev has changed the rule syntax.
See /usr/share/doc/udev-*/RELEASE-NOTES and man udev(7)

Please review your udev rules and change:
BUS -> SUBSYSTEMS, ID -> KERNELS, SYSFS -> ATTRS, DRIVER -> DRIVERS

Thanks

Comment 1 Nils Philippsen 2007-07-05 12:26:44 UTC
From which Fedora/udev version on is this applicable? I don't want to
inadvertently patch old stuff where udev doesn't know about the keywords.

Comment 2 Harald Hoyer 2007-07-05 12:59:04 UTC
/usr/share/doc/udev-*/RELEASE-NOTES :-)

Comment 3 Nils Philippsen 2007-07-05 15:10:07 UTC
I take that as "from Fedora 7 on" ;-) and will require udev >= 106 for that.

Comment 4 Nils Philippsen 2007-07-06 13:34:54 UTC
built sane-backends-1.0.18-8 which contains these fixes for F7 and devel.

Comment 5 Fedora Update System 2007-07-06 18:11:07 UTC
sane-backends-1.0.18-8.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2007-07-16 17:01:41 UTC
sane-backends-1.0.18-8.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.